Last Comment Bug 357898 - Migration fails to fire on launch if the previous system default browser is Opera
: Migration fails to fire on launch if the previous system default browser is O...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Migration (show other bugs)
: Trunk
: x86 Windows XP
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 715099
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 16:56 PDT by Tracy Walker [:tracy]
Modified: 2012-04-25 08:34 PDT (History)
6 users (show)
mconnor: blocking‑firefox3-
mconnor: wanted‑firefox3+
dveditz: blocking1.8.1.1-
dveditz: blocking1.8.0.9-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Tracy Walker [:tracy] 2006-10-24 16:56:09 PDT
Seen on 2.0 and 1.5.0.8 candidate builds.

steps to reproduce:
-remove/rename Firefox profile folder
-Run Seamonkey or Opera and set it as the default browser
-Launch Firefox

Tested results:
Firefox launches bypassing the Migration Wizard

expected results:
The Migration Wizard appears then Firefox launches when the wizard is dismissed

note: If IE or Firefox was previously set as the default browser, then the Migration wizard appears as expected.

I have a feeling this has been around a while. juanb filed a similar bug back in August, but then invalidated it when he couldn't immediately reproduce.  (Firefox was then probably the default on his retries) I'll start my search for the regression window around then
Comment 1 Tracy Walker [:tracy] 2006-10-24 17:01:57 PDT
nominating for the next set of point releases.
Comment 2 Tracy Walker [:tracy] 2006-10-24 17:55:38 PDT
removing regression keyword. 

I tested back to 1.5 release; it is affected by this bug.  I checked another theory as to why I hadn't seen this before.  Basically I've never set Opera as my default, so wouldn't have caught it from there. Until just recently I had been using Mozilla 1.7.13 as my default browser.  Mozilla builds also don't cause this bug.  So it's just Seamonkey and Opera.

So why does Firefox fail to launch migration after either of those browsers was set as default?
Comment 3 Daniel Veditz [:dveditz] 2006-11-08 10:54:00 PST
Not blocking 1.8.1.1 if IE works, but would like this looked at.

mconnor: is there a good assignee for this one?
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-12-16 03:49:39 PST
So I looked into this a little bit, and found several bugs:
1) On the trunk, profile migration is busted in all cases due to the patch for bug 345517. I filed bug 364042 for this.
2) Opera's installer puts bogus data into the registry, which makes our registry reading code barf (it inserts an extra byte after the null-terminated string, which makes the check at http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/xpcom/ds/nsWindowsRegKey.cpp&rev=1.6#439 fail). I've reported this bug to Opera, I don't know whether we want to work around it or not. I think I'll morph this bug to cover that issue.
3) SeaMonkey (as of Seamonkey 1.0) now uses an internal name of "SeaMonkey" rather than "apprunner", so we fail to detect those versions as valid default browsers. That means that the profile migration doesn't show up when SeaMonkey is the default browser. I filed bug 364041 for that.

Even after I fix bug 364041 locally, SeaMonkey isn't listed as an option in the dialog. That's probably a separate bug that I'll look into once bug 364041 is fixed.
Comment 5 Tracy Walker [:tracy] 2008-01-15 16:19:39 PST
This remains broken in Fx3b2 and latest Minefield nightly builds.  However, it appears to be a larger problem. I can set default to IE7, Fx2.0.0.11, Opera or even Mozilla1.8, but when I try migration on fresh install of the trunk based builds I get no migration dialog.

I can get migration to fire from 2.0.0.11 if I clean up everything (including reg keys)

I'm concerned my system is horked though.
Comment 6 Mike Connor [:mconnor] 2008-02-22 13:56:52 PST
Tracy, if there's any profile data at all we won't prompt to migrate on first run.  You need to nuke all of %appdata%/Mozilla/Firefox to get this to run, by design.

The specific issue with Opera here doesn't block, its not a regression and its very late in the cycle to muck with the migration code.
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-05-27 21:40:39 PDT
I reported the bug to Opera a while ago, but I don't think they have any way to followup. Need to test to see whether this is still an issue, I guess.
Comment 8 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2012-04-25 08:34:47 PDT
No Opera migrator available now, and the other issue discussed here is fixed by the migrators-fallback-list in ProfileMigraotr.js (to be moved to MigrationUtils.jsm soon).

Note You need to log in before you can comment on or make changes to this bug.